=== debian/changelog ===
jargon-text (4.4.7-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 14:52:28 +0100

jargon-text (4.4.7-4) unstable; urgency=low

  * "Doesn't seven years go past quickly?" release.
  * Remove "Suggests: vh". (Closes: #566222)
  * Move jargon.txt file from /usr/share/vh/ to /usr/share/doc/jargon-text/
    as we don't have vh any more.
  * Convert to debhelper 9 "dh" build mechanism.
  * Convert to 3.0 (quilt) source format.
  * debian/patch/588115-typos.patch: Fix some typos and misformatting.
    (Closes: #588115)
  * Bonus of rebuilding with newer tools... text is now UTF-8.
  * Bump standards version to 3.9.3.
  * Checked that the build is hardened round the edges and soft in the middle.

 -- Paul Martin <pm@debian.org>  Wed, 23 May 2012 16:38:16 +0100

jargon-text (4.4.7-3) unstable; urgency=high

  * Detect which version of elinks we're using. This allows us to build 
    on sarge with elinks 0.9.3 and also unstable with 0.10.x. 
    Build-depend on at least elinks 0.9.3. (Closes: #306838)

 -- Paul Martin <pm@debian.org>  Tue,  3 May 2005 14:42:24 +0100

jargon-text (4.4.7-2) unstable; urgency=low

  * Build-Depend on a recent version of elinks. (Closes: #306838)

 -- Paul Martin <pm@debian.org>  Tue,  3 May 2005 01:14:56 +0100

jargon-text (4.4.7-1) unstable; urgency=low

  * "New" upstream release.
    + Build directly from esr's XML source, formatting using elinks.
    + Fixes typo. (Closes: #190279)

 -- Paul Martin <pm@debian.org>  Thu, 31 Mar 2005 03:25:11 +0100

jargon-text (4.3.1-3) unstable; urgency=medium

  * Patch "patch.size" to fix old-Bashism causing FTBFS.
    (Closes: #264419)
  * Standards-Version: 3.6.1
  * Lintian-inspired fixes:
    - Debhelper 4
    - changed build-depends on awk to gawk|awk
    - Modified debian/control description
    - Fixed up debian/copyright

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 21:22:56 +0100

jargon-text (4.3.1-2) unstable; urgency=low

  * Fixed fixjargon.pl so as not to mangle some entry headings.
    (Closes: #138340)
  * Standards-Version: 3.5.6

 -- Paul Martin <pm@debian.org>  Wed,  7 Aug 2002 18:58:35 +0100

jargon-text (4.3.1-1) unstable; urgency=low

  * New upstream version. (Closes: #103646)
  * The jargon-file the same as upsteam. Not a bug. (Closes: #98716)

 -- Paul Martin <pm@debian.org>  Sat, 14 Jul 2001 13:59:18 +0100

jargon-text (4.3.0-2) unstable; urgency=low

  * Fixed links in /usr/share/doc/jargon-text/jargon.html
    (Closes: #97973)

 -- Paul Martin <pm@debian.org>  Sat, 19 May 2001 12:16:50 +0100

jargon-text (4.3.0-1) unstable; urgency=low

  * New upstream version.
  * Upstream now produces good text again.

 -- Paul Martin <pm@debian.org>  Tue,  1 May 2001 16:16:13 +0100

jargon-text (4.2.3-1) unstable; urgency=low

  * New maintainer.
  * Synchronised to upstream.
  * Conforms to policy 3.5.2. Closes #89659

 -- Paul Martin <pm@debian.org>  Sat, 17 Mar 2001 00:53:13 +0000

jargon-text (4.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Edward Betts <edward@hairnet.demon.co.uk>  Tue, 23 Feb 1999 00:47:53 +0000

Local variables:
mode: debian-changelog
End:
