=== debian/control ===
Source: jargon-text
Section: doc
Priority: optional
Maintainer: Paul Martin <pm@debian.org>
Build-Depends-Indep: debhelper (>> 9), xmlto, elinks (>= 0.9.3)
Standards-Version: 3.9.3

Package: jargon-text
Architecture: all
Depends: ${misc:Depends}
Description: definitive compendium of hacker slang
 This is the Jargon File, a comprehensive compendium of hacker slang
 illuminating many aspects of hackish tradition, folklore, and humor.
 This version is in the original text format.
